from django.shortcuts import render

from spread_dashboard.project import bam
import spread_core.mqtt as mqtt
import spread_core.bam.engineries.lighting_area as la


def index(request):
    return render(
        request,
        'local/equipment/lighting/la/buttons/la_button_presets.html',
        context=dict(
            broker=bam.broker_auth(),
            topic=str(mqtt.project.LAButtonPresets(bam.project.id, '')),
            project=str(mqtt.project.TopicProject.engineries(bam.project.id)),
            set=str(mqtt.spread.topic.Set(
                mqtt.spread.address.EngineryAddress(
                    bam.project.id, la.LightingArea.__name__, '+', la.Buttons))),
            state=str(mqtt.spread.topic.State(
                mqtt.spread.address.EngineryAddress(
                    bam.project.id, la.LightingArea.__name__, '+', la.Buttons))),
        )
    )
