$(document).ready(function (e) {
    $(document).find('#id_cycle').each(function (i, cycle) {
        cycle.addEventListener('change', function (e) {
            $(cycle.form).find('.glyphicon').each(function (i, node) {
                $(node).parent(' td').hide();
            });
            if (e.target.value) {
                $.get(document.location.pathname + 'days/' + e.target.value + '/').done(function (data) {
                    $(e.target.form).find('select[name=startTime]').each(function (index, day) {
                        day.innerHTML = data;
                        if (day.options.length === 1) {
                            e.target.form.startTime.options[0].value = new Date(Date.now() - (new Date()).getTimezoneOffset()*60*1000).toISOString().substr(0, 10);
                            e.target.form.active.checked = false;
                            e.target.form.submit();
                        } else {
                            day.selectedIndex = 0;
                        }
                    });
                });
            } else {
                e.target.form.active.checked = false;
                e.target.form.submit();
            }
        });
    });
    $(document).find('#id_startTime').each(function (i, selector) {
        if (selector.value) {
            $(selector.form).find('.glyphicon').each(function (i, node) {
                $(node).parent(' td').show();
            });
        }
        selector.addEventListener('change', function (e) {
            e.target.form.submit();
        });
    });
});

function setActive(e) {
    $(e.target).parents('.location').find(' form').each(function (i, form) {
        form.active.checked = $(e.target).hasClass('glyphicon-play');
        form.submit();
    });
}
