from django.db import models


def IncludeField() -> models.CharField:
    return models.CharField(max_length=255, editable=False)


def DumpField() -> models.CharField:
    return models.CharField(max_length=255, verbose_name='Файл дампа')


def LogLevelCommonField() -> models.IntegerField:
    choices = [(1, '1-Краткий'), (2, '2-Подробный')]
    return models.IntegerField(default=1, choices=choices, verbose_name='Уровень логирования')


def LogLevelField() -> models.IntegerField:
    choices = [('', 'Общий'), (1, '1-Краткий'), (2, '2-Подробный')]

    return models.IntegerField(blank=True, choices=choices, verbose_name='Уровень логирования')


def LogLevel2Field() -> models.IntegerField:
    choices = [
        ('', 'Общий'), (1, '1-Супер краткий'), (2, '2-Очень краткий'), (3, '3-Весьма краткий'), (4, '4-Умеренный'),
        (5, '5-Умеренно-подробный'), (6, '6-Весьма подробный'), (7, '7-Очень подробный'), (8, '8-Пожиратель памяти')
    ]

    return models.IntegerField(blank=True, choices=choices, verbose_name='Уровень логирования')
